package cn.com.qmth.examcloud.core.examwork.service;

import java.io.File;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.api.commons.enums.CURD;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamSpecialSettingsEntity;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamSpecialSettingsInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月17日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamService {

	/**
	 * 保存考试
	 *
	 * @author WANGWEI
	 * @param examInfo
	 * @return
	 */
	ExamEntity saveExam(ExamInfo examInfo, CURD es);

	/**
	 * 保存考试机构设置
	 *
	 * @author WANGWEI
	 * @param examInfo
	 * @return
	 */
	ExamSpecialSettingsEntity saveExamSpecialSettings(ExamSpecialSettingsInfo examOrgInfo);

	/**
	 * 查询机构属性
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param orgId
	 * @param key
	 * @return
	 */
	String getOrgProperty(Long examId, Long orgId, String key);

	/**
	 * 导入学习中心设置
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param file
	 * @return
	 */
	List<Map<String, Object>> importExamSpecialSettings(Long examId, File file);

}
